summaryrefslogtreecommitdiffstats
path: root/source/n/nmap
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/nmap')
-rw-r--r--source/n/nmap/nmap-7.93.build.kludge.diff13
-rwxr-xr-xsource/n/nmap/nmap.SlackBuild2
2 files changed, 15 insertions, 0 deletions
diff --git a/source/n/nmap/nmap-7.93.build.kludge.diff b/source/n/nmap/nmap-7.93.build.kludge.diff
new file mode 100644
index 000000000..80a4e2594
--- /dev/null
+++ b/source/n/nmap/nmap-7.93.build.kludge.diff
@@ -0,0 +1,13 @@
+--- ./ncat/http_digest.c.orig 2022-08-25 09:51:59.000000000 -0500
++++ ./ncat/http_digest.c 2022-09-06 13:19:44.346121633 -0500
+@@ -133,10 +133,6 @@
+ return 0;
+ }
+
+-#if OPENSSL_API_LEVEL < 10100
+-#define EVP_MD_CTX_new EVP_MD_CTX_create
+-#define EVP_MD_CTX_free EVP_MD_CTX_destroy
+-#endif
+ static char *make_nonce(const struct timeval *tv)
+ {
+ char *buf = NULL;
diff --git a/source/n/nmap/nmap.SlackBuild b/source/n/nmap/nmap.SlackBuild
index b35e41337..ec33ad75b 100755
--- a/source/n/nmap/nmap.SlackBuild
+++ b/source/n/nmap/nmap.SlackBuild
@@ -82,6 +82,8 @@ find . \
sed -i "s,share/man/man1,man/man1,g" ndiff/setup.py
+zcat $CWD/nmap-7.93.build.kludge.diff.gz | patch -p1 --verbose || exit 1
+
# --without-nmap-update is needed below to avoid depending on apr and subversion libraries.
# It's not worth the feature IMHO.
LIBS="-lnl" \